Package javax.validation

# Interface ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext

Enclosing interface:
  `ConstraintValidatorContext.ConstraintViolationBuilder`

public static interface ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext

## Method Summary

Modifier and Type
Method
Description
`ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderCustomizableContext`
`addBeanNode()`
`ConstraintValidatorContext`
`addConstraintViolation()`
`ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext`
`addNode(String name)`
`ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext`
`addPropertyNode(String name)`
`ConstraintValidatorContext.ConstraintViolationBuilder.NodeContextBuilder`
`inIterable()`

## Method Details

### inIterable

ConstraintValidatorContext.ConstraintViolationBuilder.NodeContextBuilder inIterable()

### addNode

ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext addNode(String name)

### addConstraintViolation

ConstraintValidatorContext addConstraintViolation()

### addPropertyNode

ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext addPropertyNode(String name)

### addBeanNode

ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderCustomizableContext addBeanNode()